<?php

/**
 * @file
 * Block functionality for Ghost
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Previous Next Pty Ltd
 */

use Drupal\ghost\Block\BlockPluginFactory;

/**
 * Implements hook_block_info().
 */
function ghost_block_info() {

  $blocks = array();

  $block_plugins = BlockPluginFactory::init()->loadAllPlugins();

  if (!empty($block_plugins)) {
    foreach ($block_plugins as $block_plugin) {
      $blocks[$block_plugin->getMachineName()] = $block_plugin->blockInfo();
    }
  }

  return $blocks;
}

/**
 * Implements hook_block_view().
 */
function ghost_block_view($delta = '') {

  // This example is adapted from node.module.
  $block = array();

  $block_plugin = BlockPluginFactory::init()->loadPlugin($delta);
  if (empty($block_plugin)) {
    return array();
  }

  $block['subject'] = $block_plugin->blockSubject();
  $block['content'] = $block_plugin->blockContent();

  return $block;
}
