<?php

/**
 * @file
 * Contains a FieldFormatterBase
 */

namespace Drupal\ghost\Field;

use Drupal\image_grid\Field\ImageGridFieldFormatter;

/**
 * Class FieldFormatterBase
 * @package Drupal\ghost\Field
 */
abstract class FieldFormatterBase implements FieldFormatterInterface {

  /**
   * Static loader.
   *
   * @return ImageGridFieldFormatter
   *   This.
   */
  static public function init() {

    return new static();
  }

  /**
   * {@inheritdoc}
   */
  abstract public function info();

  /**
   * {@inheritdoc}
   */
  abstract public function settingsForm($field, $instance, $view_mode, $form, &$form_state);

  /**
   * {@inheritdoc}
   */
  abstract public function settingsSummary($field, $instance, $view_mode);

  /**
   * {@inheritdoc}
   */
  abstract public function view($entity_type, $entity, $field, $instance, $langcode, $items, $display);
}
